#!/bin/bash
### BEGIN INIT INFO
# Provides:          sipb-xen-www
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: conserver config from invirt config for invirt host
# Description:
### END INIT INFO 

PACKAGE=sipb-xen-www

. /lib/lsb/init-functions

gen_config()
{
  for i in /etc/apache2/sites-available/{ssl,svn}
  do mako-render $i.mako > $i
  done
}

case "$1" in
  start|reload|force-reload|restart)
    log_begin_msg "Reloading config for $PACKAGE"
    gen_config
    log_end_msg $?
    /etc/init.d/apache2 "$1"
    ;;
  stop)
    /etc/init.d/apache2 "$1"
    ;;
  *)
    log_success_msg "Usage: /etc/init.d/$PACKAGE {start|reload|force-reload|restart|stop}"
    ;;
esac
